spring:
  application:
    name: 4dkankan-center-scene
  cloud:
    nacos:
      config:
        server-addr: 172.18.157.42:8848
        file-extension: yaml
        namespace: 4dkankan-pro
        extension-configs:
          - data-id: 4dkankan-center-scene.yaml
            group: DEFAULT_GROUP
            refresh: true
        shared-configs:
          - data-id: common-db-config.yaml
            group: DEFAULT_GROUP
            refresh: true

          - data-id: common-redis-config.yaml
            group: DEFAULT_GROUP
            refresh: true

          - data-id: common-rabbitmq-config.yaml
            group: DEFAULT_GROUP
            refresh: true

          - data-id: other-config.yaml
            group: DEFAULT_GROUP
            refresh: true

          - data-id: common-upload-config.yaml
            group: DEFAULT_GROUP
            refresh: true
      discovery:
        server-addr: 172.18.157.42:8848
        namespace: 4dkankan-pro
#    sentinel:
#      transport:
#        dashboard: 8.129.209.131:8888
#        heartbeat-interval-ms: 500
#        port: 8719
#      eager: true #取消sentinel控制台懒加载
#      #sentinel配置持久化nacos
#      datasource:
#        #流控规则
#        flow:
#          nacos:
#            server-addr: ${spring.cloud.nacos.config.server-addr}
#            dataId: ${spring.application.name}-flow-rules
#            groupId: SENTINEL_GROUP
#            namespace: 4dkankan-pro
#            rule-type: flow
#        #熔断规则
#        degrade:
#          nacos:
#            server-addr: ${spring.cloud.nacos.config.server-addr}
#            dataId: ${spring.application.name}-degrade-rules
#            groupId: SENTINEL_GROUP
#            namespace: 4dkankan-pro
#            rule-type: degrade
#      log:
#        dir: ./logs # 默认值${home}/logs/csp/
#        switch-pid: true # 日志带上线程id

#开启feign熔断降级，如果没有开启，feign调用链路不会显示再sentinel控制中
#feign:
#  sentinel:
#    enabled: true

feign:
  httpclient:
    connection-timeout: 200000




